Bug 66537 - Test how DOMTokenList methods react to too few arguments
: Test how DOMTokenList methods react to too few arguments
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 66235
  Show dependency treegraph
 
Reported: 2011-08-18 22:07 PST by
Modified: 2011-10-06 10:21 PST (History)


Attachments
Patch (4.18 KB, patch)
2011-08-18 22:09 PST, Mark Pilgrim (Google)
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (9.00 KB, patch)
2011-10-06 09:38 PST, Adam Barth
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-18 22:07:26 PST
DOMTokenList.item()
DOMTokenList.contains()
DOMTokenList.add()
DOMTokenList.remove()
DOMTokenList.toggle()
------- Comment #1 From 2011-08-18 22:09:09 PST -------
Created an attachment (id=104460) [details]
Patch
------- Comment #2 From 2011-08-18 22:58:22 PST -------
(From update of attachment 104460 [details])
Attachment 104460 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9435097

New failing tests:
fast/dom/HTMLElement/class-list-quirks.html
------- Comment #3 From 2011-08-19 11:23:39 PST -------
> fast/dom/HTMLElement/class-list-quirks.html

This probably uses the same JS files in quirks mode.
------- Comment #4 From 2011-09-03 14:27:04 PST -------
Mark, can you update this patch so that it passes all the tests?
------- Comment #5 From 2011-10-06 09:38:02 PST -------
Created an attachment (id=109967) [details]
Patch for landing
------- Comment #6 From 2011-10-06 10:21:52 PST -------
(From update of attachment 109967 [details])
Clearing flags on attachment: 109967

Committed r96827: <http://trac.webkit.org/changeset/96827>
------- Comment #7 From 2011-10-06 10:21:56 PST -------
All reviewed patches have been landed.  Closing bug.